Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class DestroyPortlets

    java.lang.Object
      org.jboss.portal.wsrp.core.DestroyPortlets

All Implemented Interfaces:
  java.io.Serializable

    public class DestroyPortlets

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected java.lang.String[]` | `portletHandles`
`protected RegistrationContext` | `registrationContext`

Constructor Summary
`DestroyPortlets()`
`DestroyPortlets(RegistrationContext registrationContext, java.lang.String[] portletHandles)`

Method Summary
`java.lang.String[]` | `getPortletHandles()`
`RegistrationContext` | `getRegistrationContext()`
`void` | `setPortletHandles(java.lang.String[] portletHandles)`
`void` | `setRegistrationContext(RegistrationContext registrationContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### registrationContext

    protected RegistrationContext registrationContext

### portletHandles

    protected java.lang.String[] portletHandles

Constructor Detail

### DestroyPortlets

    public DestroyPortlets()

### DestroyPortlets

    public DestroyPortlets(RegistrationContext registrationContext,
                           java.lang.String[] portletHandles)

Method Detail

### getRegistrationContext

    public RegistrationContext getRegistrationContext()

### setRegistrationContext

    public void setRegistrationContext(RegistrationContext registrationContext)

### getPortletHandles

    public java.lang.String[] getPortletHandles()

### setPortletHandles

    public void setPortletHandles(java.lang.String[] portletHandles)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD